summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJeff Quast <contact@jeffquast.com>2014-11-23 21:07:43 -0800
committerJeff Quast <contact@jeffquast.com>2014-11-23 21:07:43 -0800
commit01d0f40faefba8780c57a9d5ba43cb4907f71861 (patch)
treea481b40c45098e3ffd8826ea8bb9019f0331581f /tools
parenta94a597cb0888947f71f010f64bb677c05ae430e (diff)
downloadpexpect-git-01d0f40faefba8780c57a9d5ba43cb4907f71861.tar.gz
exit 0 for for runtests, #test failures dominate
Diffstat (limited to 'tools')
-rwxr-xr-xtools/teamcity-runtests.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/tools/teamcity-runtests.sh b/tools/teamcity-runtests.sh
index b785e03..7c72fd7 100755
--- a/tools/teamcity-runtests.sh
+++ b/tools/teamcity-runtests.sh
@@ -17,7 +17,8 @@ venv=teamcity-pexpect
venv_wrapper=$(which virtualenvwrapper.sh)
if [ -z $venv_wrapper ]; then
- echo "virtualenvwrapper.sh not found in PATH."
+ echo "virtualenvwrapper.sh not found in PATH." >&2
+ exit 1
fi
. ${venv_wrapper}
@@ -41,9 +42,15 @@ py.test \
--verbose \
|| ret=$?
+if [ $ret -ne 0 ]; then
+ # we always exit 0, preferring instead the jUnit XML
+ # results to be the dominate cause of a failed build.
+ echo "py.test returned excit code ${ret}." >&2
+ echo "the build should detect and report these failing tests." >&2
+fi
+
# combine all coverage to single file, publish as build
# artifact in {pexpect_projdir}/build-output
mkdir -p build-output
coverage combine
mv .coverage build-output/.coverage.${osrel}.py{$pyversion}.$RANDOM.$$
-exit $ret